Subject: Re: [PATCH] tracing/net_sched: NULL pointer dereference in perf_trace_qdisc_reset()

From: Greg Kroah-Hartman <[email-masked]>
Date: Thu, 4 Jul 2024 11:32:24 +0200

On Wed, Jul 03, 2024 at 07:18:35PM -0700, Jakub Kicinski wrote:
> On Wed,  3 Jul 2024 03:01:47 +0900 Yunseong Kim wrote:
> > Support backports for stable version. There are two places where null
> > deref could happen before
> > commit 2c92ca849fcc ("tracing/treewide: Remove second parameter of __assign_str()")
> > Link: https://lore.kernel.org/linux-trace-kernel/[email-masked]/
> > 
> > I've checked +v6.1.82 +v6.6.22 +v6.7.10, +v6.8, +6.9, this version need
> > to be applied, So, I applied the patch, tested it again, and confirmed
> > working fine.
> 
> You're missing the customary "[ Upstream commit <upstream commit> ]"
> line, not sure Greg will pick this up.
> 

Yeah, I missed this, needs to be very obvious what is happening here.
I'll replace the version in the queues with this one now, thanks.

greg k-h